TransactionalFunctionalTestComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.tck.functional.TransactionalFunctionalTestComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.functional
Class TransactionalFunctionalTestComponent

    java.lang.Object
      org.mule.tck.functional.FunctionalTestComponent
          org.mule.tck.functional.TransactionalFunctionalTestComponent

All Implemented Interfaces:
  MuleContextAware, Callable, Disposable, EventListener, Initialisable, Receiveable

    public class TransactionalFunctionalTestComponent

extends FunctionalTestComponent

This service is useful for unit tests involving transactionality because it will roll back the current transaction upon message arrival.

Field Summary

Fields inherited from class org.mule.tck.functional.FunctionalTestComponent
`logger, STREAM_BUFFER_SIZE, STREAM_SAMPLE_SIZE`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`TransactionalFunctionalTestComponent()`

Method Summary
`boolean` | `isExpectTransaction()`
`boolean` | `isRollback()`
`Object` | `onCall(MuleEventContext context)` Passes the event to the listener
`void` | `setExpectTransaction(boolean expectTransaction)`
`void` | `setRollback(boolean rollback)`

Methods inherited from class org.mule.tck.functional.FunctionalTestComponent
`append, dispose, getAppendString, getEventCallback, getExceptionToThrow, getLastReceivedMessage, getReceivedMessage, getReceivedMessagesCount, getReturnData, getWaitTime, initialise, isDoInboundTransform, isEnableMessageHistory, isEnableNotifications, isLogMessageDetails, isThrowException, onReceive, process, setAppendString, setDoInboundTransform, setEnableMessageHistory, setEnableNotifications, setEventCallback, setExceptionToThrow, setLogMessageDetails, setMuleContext, setReturnData, setThrowException, setWaitTime, throwException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionalFunctionalTestComponent

    public TransactionalFunctionalTestComponent()

Method Detail

### onCall

    public Object onCall(MuleEventContext context)
                  throws Exception

  Passes the event to the listener

  Specified by:
    `onCall` in interface `Callable`
  Overrides:
    `onCall` in class `FunctionalTestComponent`
  Parameters:
    `context` - the context of the current event being process
  Returns:
    Object this object can be anything. When the `LifecycleAdapter` for the service receives this object it will first see if the Object is an `MuleMessage` if not and the Object is not null a new message will be created using the returned object as the payload. This new event will then get published via the configured outbound router if-
    1. One has been configured for the component.
    2. the `setStopFurtherProcessing(true)` wasn't called on the event context event.
  Throws:
    `Exception` - if the event fails to process properly. If exceptions aren't handled by the implementation they will be handled by the exceptionListener associated with the service

### isRollback

    public boolean isRollback()

### setRollback

    public void setRollback(boolean rollback)

### isExpectTransaction

    public boolean isExpectTransaction()

### setExpectTransaction

    public void setExpectTransaction(boolean expectTransaction)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.